<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:c="http://java.sun.com/jsp/jstl/core"
  xmlns:cms="cms-taglib" xmlns:cmsfn="http://www.magnolia.info/tlds/cmsfn-taglib.tld" xmlns:cmsu="cms-util-taglib"
  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:fn="http://java.sun.com/jsp/jstl/functions" xmlns:media="http://net.sourceforge.openutils/mgnlMedia"
  xmlns:su="http://openutils.sf.net/openutils-stringutils">
  <jsp:directive.attribute name="id" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="item" required="true" rtexprvalue="true" type="java.lang.Object" />
  <jsp:directive.attribute name="width" required="false" rtexprvalue="true" type="java.lang.Integer" />
  <jsp:directive.attribute name="height" required="false" rtexprvalue="true" type="java.lang.Integer" />
  <jsp:directive.attribute name="useEm" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="emRatio" required="false" rtexprvalue="true" type="java.lang.Float" />
  <jsp:directive.attribute name="alt" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="cssClass" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="style" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="resize" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="parameters" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="ignoreDim" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="autoPlay" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="loop" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="noPlayIcon" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="skin" required="false" rtexprvalue="true" />
  <jsp:directive.attribute name="thumbnail" required="false" rtexprvalue="true" type="java.lang.Boolean" />
  <jsp:directive.attribute name="videoImagePreview" required="false" rtexprvalue="true"
    type="java.lang.Boolean" />
  <c:set value="${10000}" var="bigValue" />
  <c:if test="${empty width }">
    <c:set var="width" value="${0 }" />
  </c:if>
  <c:if test="${empty height }">
    <c:set var="height" value="${0 }" />
  </c:if>
  <c:if test="${empty emRatio }">
    <c:set var="emRatio" value="${1.0 }" />
  </c:if>
  <c:set value="${media:node(item)}" var="mediaNode" />
  <c:choose>
    <c:when test="${!empty mediaNode}">
      <cms:setNode var="media" content="${mediaNode}" />
      <c:choose>
        <c:when test="${media.type eq 'image' or media.type eq 'wallpaper' or videoImagePreview}">
          <c:choose>
            <c:when test="${width eq 0 and height eq 0}">
              <c:set var="url" value="${media:url(mediaNode)}" />
              <c:set var="size" value="${media:size(mediaNode, 'original')}" />
            </c:when>
            <c:otherwise>
              <c:set var="controlChar" value="" />
              <c:choose>
                <c:when test="${resize eq 'nocrop'}">
                  <c:set var="controlChar" value="n" />
                </c:when>
                <c:when test="${resize eq 'fitbands'}">
                  <c:set var="controlChar" value="o" />
                </c:when>
                <c:when test="${resize eq 'fit'}">
                  <c:set var="controlChar" value="l" />
                </c:when>
              </c:choose>
              <c:if test="${width eq 0}">
                <c:set var="controlChar" value="l" />
                <c:set var="width" value="${bigValue}" />
              </c:if>
              <c:if test="${height eq 0}">
                <c:set var="controlChar" value="l" />
                <c:set var="height" value="${bigValue}" />
              </c:if>
              <c:set var="resolution">${controlChar}${width}x${height}${empty parameters ? '': ';'}${parameters}</c:set>
              <c:set var="url" value="${media:urlres(mediaNode, resolution)}" />
              <c:set var="size" value="${media:size(mediaNode, resolution)}" />
            </c:otherwise>
          </c:choose>
          <c:if test="${!empty(url)}">
            <c:if test="${empty alt}">
              <c:set var="alt" value="${media:title(mediaNode)}" />
            </c:if>
            <![CDATA[<img src="${pageContext.request.contextPath}${url}" alt="${alt}" title="${alt}"]]>
            <c:if test="${not empty id}">
              <![CDATA[ id="${id}"]]>
            </c:if>
            <c:if test="${not ignoreDim}">
              <c:if test="${ size[0] gt 0}">
                <c:set var="style">${style}${(!empty style)?';':''}width:${size[0]*emRatio}${(not useEm ? 'px':'em')}
                </c:set>
              </c:if>
              <c:if test="${ size[1] gt 1}">
                <c:set var="style">${style}${(!empty style)?';':''}height:${size[1]*emRatio}${(not useEm ? 'px':'em')}
                </c:set>
              </c:if>
            </c:if>
            <c:if test="${not empty cssClass}">
              <![CDATA[ class="${cssClass}"]]>
            </c:if>
            <c:if test="${not empty style}">
              <![CDATA[ style="${style}"]]>
            </c:if>
            <![CDATA[ />]]>
          </c:if>
        </c:when>
        <c:when test="${media.type eq 'video' or media.type eq 'audio' }">
          <c:set var="url" value="${media:url(mediaNode)}" />
          <c:if test="${width eq 0 }">
            <c:set var="width" value="320" />
          </c:if>
          <c:if test="${height eq 0}">
            <c:set var="height" value="${media.type eq 'video' ? 240 : 20}" />
          </c:if>
          <c:set var="controlBar" value="" />
          <c:if test="${media.type eq 'video' }">
            <c:set var="controlBar">
              <![CDATA[&amp;controlbar=over]]>
            </c:set>
          </c:if>
          <c:if test="${!empty(url)}">
            <c:set var="previewId" value="preview-${su:randomAlphanumeric(6)}" />
            <div id="${previewId}" class="preview">
              <div id="no-player"><!-- -->
              </div>
            </div>
            <c:if
              test="${fn:endsWith(fn:toLowerCase(media:url(mediaNode)), '.flv') or fn:endsWith(fn:toLowerCase(media:url(mediaNode)), '.mp3')}">
              <c:set var="flashvars">
                <![CDATA[file=${pageContext.request.contextPath}${media:url(mediaNode)}${controlBar}]]>
                <c:if test="${autoPlay}">
                  <![CDATA[&amp;autostart=true]]>
                </c:if>
                <c:if test="${loop}">
                  <![CDATA[&amp;repeat=always]]>
                </c:if>
                <c:if test="${noPlayIcon}">
                  <![CDATA[&amp;icons=false]]>
                </c:if>
                <c:if test="${not empty skin}">
                  <![CDATA[&amp;skin=${skin}]]>
                </c:if>
                <c:if test="${thumbnail}">
                  <c:choose>
                    <c:when test="${width gt 0 and height gt 0}">
                      <c:set var="previewres" value="${width}x${height}" />
                  <![CDATA[&amp;image=${pageContext.request.contextPath}${media:urlres(mediaNode, previewres)}]]>
                    </c:when>
                    <c:otherwise>
                  <![CDATA[&amp;image=${pageContext.request.contextPath}${media:thumbnail(mediaNode)}]]>
                    </c:otherwise>
                  </c:choose>
                </c:if>
              </c:set>
              <script type='text/javascript'>
              <![CDATA[
                window.addEvent('domready', function(){
                  var swfobject = new SWFObject('${pageContext.request.contextPath}/.resources/media/players/player.swf','player','${width}','${height}','9','#ffffff');
                  swfobject.addParam('allowfullscreen','true');
                  swfobject.addParam('allowscriptaccess','always');
                  swfobject.addParam('wmode','opaque');
                  swfobject.addParam('flashvars', '${flashvars}');

                  var version = deconcept.SWFObjectUtil.getPlayerVersion();
                  if (version["major"] == 0 || version["major"] < 9) {
                   $('no-player').setStyle('display','block');
                  } else {
                   swfobject.write('${previewId}');
                  }
                });]]>
              </script>
            </c:if>
            <c:if test="${fn:endsWith(fn:toLowerCase(media:url(mediaNode)), 'swf')}">
              <script type='text/javascript'>
              <![CDATA[
                window.addEvent('domready', function(){
                  var swfobject = new SWFObject('${pageContext.request.contextPath}${media:url(mediaNode)}', '${previewId}', "${width}", "${height}", "9.0.0");
                  var version = deconcept.SWFObjectUtil.getPlayerVersion();
                  if (version["major"] == 0 || version["major"] < 9) {
                   $('no-player').setStyle('display','block');
                  } else {
                   swfobject.write('${previewId}');
                  }
                });]]>
              </script>
            </c:if>
          </c:if>
        </c:when>
        <c:when test="${media.type eq 'youtube'}">
          <c:set var="url" value="${media:url(mediaNode)}" />
          <c:if test="${width eq 0 }">
            <c:set var="width" value="320" />
          </c:if>
          <c:if test="${height eq 0}">
            <c:set var="height" value="240" />
          </c:if>
          <c:set var="flashvars">
            <![CDATA[file=${media:url(mediaNode)}&amp;controlbar=over]]>
            <c:choose>
              <c:when test="${fn:indexOf(url, 'youtube') ge 0}">
                <c:set var="previewImage" value="${su:substringAfterLast(url, 'v=')}" />
              <![CDATA[&amp;type=youtube&amp;image=http://img.youtube.com/vi/${previewImage}/0.jpg]]>
              </c:when>
              <c:when test="${thumbnail}">
                <c:choose>
                  <c:when test="${width gt 0 and height gt 0}">
                    <c:set var="previewres" value="${width}x${height}" />
                  <![CDATA[&amp;image=${pageContext.request.contextPath}${media:urlres(mediaNode, previewres)}]]>
                  </c:when>
                  <c:otherwise>
                  <![CDATA[&amp;image=${pageContext.request.contextPath}${media:thumbnail(mediaNode)}]]>
                  </c:otherwise>
                </c:choose>
              </c:when>
            </c:choose>
          </c:set>
          <c:set var="previewImage" value="${su:substringAfterLast(url, 'v=')}" />
          <c:if test="${!empty(url)}">
            <c:set var="previewId" value="preview-${su:randomAlphanumeric(6)}" />
            <div id="${previewId}" class="preview">
              <div id="no-player">
                <!--
    <ma:message key="media.noFlashPlayerDetected" /> -->
              </div>
            </div>
            <script type='text/javascript'>
            <![CDATA[

              window.addEvent('domready', function(){
                var swfobject = new SWFObject('${pageContext.request.contextPath}/.resources/media/players/player.swf','player','${width}','${height}','9','#ffffff');
                swfobject.addParam('allowfullscreen','true');
                swfobject.addParam('allowscriptaccess','always');
                swfobject.addParam('wmode','opaque');
                swfobject.addParam('flashvars','${flashvars}');
                var version = deconcept.SWFObjectUtil.getPlayerVersion();
                if (version["major"] == 0 || version["major"] < 9) {
                 $('no-player').setStyle('display','block');
                } else {
                 swfobject.write('${previewId}');
                }
              });
            ]]></script>
          </c:if>
        </c:when>
      </c:choose>
    </c:when>
    <c:otherwise>
      <![CDATA[<!-- missing media: ${item} -->]]>
    </c:otherwise>
  </c:choose>
</jsp:root>